/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright by The HDF Group (THG).                                         *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of aug_eos5. The full aug_eos5 copyright notice,      *
 * including terms governing use, modification, and redistribution, is       *
 * contained in the files COPYING and Copyright.html. COPYING can be         *
 * found at the root of the source code distribution tree; Copyright.html    *
 * can be found at the root level of an installed copy of the electronic     *
 * aug_eos5 document set and is linked from the top-level documents page.   *
 * It can also be found at                                                   *
 * http://www.hdfgroup.org/H4H5TOOLS/doc/Copyright.html. If you do not have  *
 * access to either file, you may request a copy from help@hdfgroup.org.     *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <stdio.h>
#include "run.h"

extern char *optarg;
extern int optind;


int main(int argc, char **argv)
{
  int augmentmethod = 1;
  int c;
  char *dimgeonames=NULL;
  int bQuiet = 1;

  int choice = 0;

  while ((c = getopt(argc, argv, "if:")) != -1) {
    switch (c) {
      case 'i':
	choice = 1;
	break;
      case 'f':
	choice = 2;
	dimgeonames = optarg;
	break;
    }
  }

  if (optind + 1 != argc) {
    usage();
    return 1;
  }

  /*if(dimgeonames==NULL)
    fprintf(stderr, "WARNING: -f switch (dimension name to geo field or file name mapping) is not being used.\n");*/

  int succeeded = doit(argv[optind], augmentmethod, dimgeonames, bQuiet, choice);

  if(succeeded == 0) 
    printf("%s has been augmented.\n", argv[optind]);

  return succeeded; /* doit(argv[optind], augmentmethod, dimgeonames, bQuiet, choice); */
}

// vim:ts=8:sw=2:sts=2:cindent
