! This program

program check_f
  use netcdf
  implicit none

  character * (80) arg
  integer, dimension(1:2):: st, co
  integer retval, ncid, ncid1, ncid2, ncid3, ncid4, varid
  real values(145, 5554)
  integer numDims, numAtts
  real missingvalue
  character(len=70) filename
  character(len=50) units
  integer dimids(2), dimvarids(2)
  character(len=100) name
  integer len
  real val_levels(145), val_times(5554)


  filename = 'single_swath_2.he5'
  write(*,*) filename

  call check(nf90_open(filename, NF90_NOWRITE, ncid))
  call check(nf90_inq_ncid(ncid, "HDFEOS", ncid1))
  call check(nf90_inq_ncid(ncid1, "SWATHS", ncid2))
  call check(nf90_inq_ncid(ncid2, "HIRDLS", ncid3))
  call check(nf90_inq_ncid(ncid3, "Data Fields", ncid4))
  call check(nf90_inq_varid(ncid4, "CFC11", varid))

  write(*,*) "/HDFEOS/SWATHS/HIRDLS/Data Fields/CFC11"
  call check(nf90_inquire_variable(ncid4, varid, ndims = numDims, natts = numAtts, dimids = dimids))
  write(*,*), "numDims=: ", numDims, ", numAtts=", numAtts
  write(*,*), "DimIDs=: ", dimids(1), dimids(2)


  call check(nf90_inquire_dimension(ncid4, dimids(1), name, len))
  call check(nf90_inq_varid(ncid3, name, dimvarids(1)))
  write(*,*), "Dimension=: ", name, "len=: ", len, "dimvarid=:", dimvarids(1)
  call check(nf90_get_var(ncid3, dimvarids(1), val_levels))
  write(*,*) "  ", name, "=", val_levels(1), val_levels(2), val_levels(3), val_levels(4)

  call check(nf90_inquire_dimension(ncid4, dimids(2), name, len))
  call check(nf90_inq_varid(ncid3, name, dimvarids(2)))
  write(*,*), "Dimension=: ", name, "len=: ", len, "dimvarid=:", dimvarids(2)
  call check(nf90_get_var(ncid3, dimvarids(2), val_times))
  write(*,*) "  ", name, "=", val_times(1), val_times(2), val_times(3), val_times(4)

  call check(nf90_get_var(ncid4, varid, values))
  write(*,*) "  CFC11=: ", values(1,1), values(1,2), values(1,3), "..."
  call check(nf90_get_att(ncid4, varid, "MissingValue", missingvalue))
  write(*,*) "  CFC11::MissingValue=", missingvalue
  call check(nf90_get_att(ncid4, varid, "Units", units))
  write(*,*) "  CFC11::Units=", units

  call check(nf90_close(ncid))
  stop 

contains
  ! Internal subroutine - checks error status after each netcdf, prints out text message each time
  !   an error code is returned. 
  subroutine check(status)
    integer, intent ( in) :: status
    
    if(status /= nf90_noerr) then 
      print *, trim(nf90_strerror(status))
      stop 2
    end if
  end subroutine check  
end program check_f

